# $Id: isatty.s,v 1.2 1995-03-07 19:59:44+0900 mipro Exp $

# isatty.s : check console-output concatnated mode.
#
# Special Thanks: ryo-s@ascii.co.jp
# console-output version by Mipro.

#-
# Copyright (C) 1994 GENEration SYStem Software labo Distribution.
# last change : $Date: 1995-03-07 19:59:44+0900 $ : $Author: mipro $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with This program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

	.include	doscall.mac
	.include	standard.mac
	.xdef _isatty_out
	.text
	.even
rcs_header:
		.dc.b	'$Id: isatty.s,v 1.2 1995-03-07 19:59:44+0900 mipro Exp $',CR,LF,0
		.even

_isatty_out:
		move.w	4(sp),d0
		move.w	d0,-(sp)		* stdout file handle
		move.w	#0,-(sp)		* IOCTRL mode 0
		DOS	__IOCTRL
		addq.l	#4,sp
		btst.l	#7,d0			* check character device(s)
		beq	1f
		btst.l	#1,d0			* check console (out) device
		beq	1f
						* non redirect
		move.l	#0,d0			* return 0
		bra.s	2f
1:
						* redirect
		move.l	#1,d0			* return 1
2:
		rts
	.end
